Page MenuHomePhabricator

[llvm] Change std::sort to llvm::sort in response to r327219
AbandonedPublic

Authored by mgrang on Mar 10 2018, 7:59 PM.

Details

Summary

r327219 added wrappers to std::sort which randomly shuffle the container before sorting.
This will help in uncovering non-determinism caused due to undefined sorting
order of objects having the same key.

To make use of that infrastructure we need to invoke llvm::sort instead of std::sort.

Diff Detail

Repository
rL LLVM

Event Timeline

mgrang created this revision.Mar 10 2018, 7:59 PM
mgrang updated this revision to Diff 137968.Mar 11 2018, 6:46 PM

Fixed indentation.

This is way too big - split at least into TableGen, unittests, separate targets etc.

Plus, please regenerate the diffs with context

mgrang added a comment.EditedMar 23 2018, 4:45 PM

I have started breaking down this patch into manageable components. For each smaller patch I push, I will add reference to this patch so that it's easier to keep track of all related patches.

[AArch64] https://reviews.llvm.org/D44853
[ARM] https://reviews.llvm.org/D44855
[AMDGPU] https://reviews.llvm.org/D44856
[Hexagon] https://reviews.llvm.org/D44857
[Mips] https://reviews.llvm.org/D44869

This comment was removed by mgrang.
nhaehnle removed a subscriber: nhaehnle.Mar 26 2018, 4:45 AM

What is left to do in this patch?

mgrang added a comment.EditedApr 8 2018, 9:32 AM

What is left to do in this patch?

Nothing from my side. I am just waiting on reviews for D45142, D45139, D45138, D45137 and D44873. Once all those are merged I will abandon this patch.

mgrang abandoned this revision.Apr 13 2018, 12:55 PM

All the smaller llvm patches are now merged. We can abandon this patch.